Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.resource.css
Class AbstractCSSVisitor

    java.lang.Object
      org.richfaces.resource.css.AbstractCSSVisitor

Direct Known Subclasses:
  CSSVisitorImpl

    public abstract class AbstractCSSVisitor

extends java.lang.Object

Author:
  Nick Belaevski

Constructor Summary
`AbstractCSSVisitor()`

Method Summary
`protected abstract void` | `endFontRule(org.w3c.dom.css.CSSFontFaceRule rule)`
`protected abstract void` | `endMediaRule(org.w3c.dom.css.CSSMediaRule rule)`
`protected abstract void` | `endPageRule(org.w3c.dom.css.CSSPageRule rule)`
`protected abstract void` | `endStyleRule(org.w3c.dom.css.CSSStyleRule rule)`
`protected abstract void` | `endStyleSheet(org.w3c.dom.css.CSSStyleSheet styleSheet)`
`protected abstract void` | `startFontRule(org.w3c.dom.css.CSSFontFaceRule rule)`
`protected abstract void` | `startMediaRule(org.w3c.dom.css.CSSMediaRule rule)`
`protected abstract void` | `startPageRule(org.w3c.dom.css.CSSPageRule rule)`
`protected abstract void` | `startStyleRule(org.w3c.dom.css.CSSStyleRule rule)`
`protected abstract void` | `startStyleSheet(org.w3c.dom.css.CSSStyleSheet styleSheet)`
`abstract void` | `visitCharsetRule(org.w3c.dom.css.CSSCharsetRule rule)`
`void` | `visitFontFaceRule(org.w3c.dom.css.CSSFontFaceRule rule)`
`abstract void` | `visitImportRule(org.w3c.dom.css.CSSImportRule rule)`
`void` | `visitMediaRule(org.w3c.dom.css.CSSMediaRule rule)`
`void` | `visitPageRule(org.w3c.dom.css.CSSPageRule rule)`
`void` | `visitRule(org.w3c.dom.css.CSSRule rule)`
`abstract void` | `visitStyleDeclaration(org.w3c.dom.css.CSSStyleDeclaration styleDeclaration)`
`void` | `visitStyleRule(org.w3c.dom.css.CSSStyleRule rule)`
`void` | `visitStyleSheet(org.w3c.dom.css.CSSStyleSheet styleSheet)`
`abstract void` | `visitUnknownRule(org.w3c.dom.css.CSSUnknownRule rule)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractCSSVisitor

    public AbstractCSSVisitor()

Method Detail

### visitStyleSheet

    public void visitStyleSheet(org.w3c.dom.css.CSSStyleSheet styleSheet)

### visitRule

    public void visitRule(org.w3c.dom.css.CSSRule rule)

### startStyleSheet

    protected abstract void startStyleSheet(org.w3c.dom.css.CSSStyleSheet styleSheet)

### endStyleSheet

    protected abstract void endStyleSheet(org.w3c.dom.css.CSSStyleSheet styleSheet)

### visitUnknownRule

    public abstract void visitUnknownRule(org.w3c.dom.css.CSSUnknownRule rule)

### visitStyleRule

    public void visitStyleRule(org.w3c.dom.css.CSSStyleRule rule)

### startStyleRule

    protected abstract void startStyleRule(org.w3c.dom.css.CSSStyleRule rule)

### endStyleRule

    protected abstract void endStyleRule(org.w3c.dom.css.CSSStyleRule rule)

### visitCharsetRule

    public abstract void visitCharsetRule(org.w3c.dom.css.CSSCharsetRule rule)

### visitImportRule

    public abstract void visitImportRule(org.w3c.dom.css.CSSImportRule rule)

### visitMediaRule

    public void visitMediaRule(org.w3c.dom.css.CSSMediaRule rule)

### startMediaRule

    protected abstract void startMediaRule(org.w3c.dom.css.CSSMediaRule rule)

### endMediaRule

    protected abstract void endMediaRule(org.w3c.dom.css.CSSMediaRule rule)

### visitFontFaceRule

    public void visitFontFaceRule(org.w3c.dom.css.CSSFontFaceRule rule)

### startFontRule

    protected abstract void startFontRule(org.w3c.dom.css.CSSFontFaceRule rule)

### endFontRule

    protected abstract void endFontRule(org.w3c.dom.css.CSSFontFaceRule rule)

### visitPageRule

    public void visitPageRule(org.w3c.dom.css.CSSPageRule rule)

### startPageRule

    protected abstract void startPageRule(org.w3c.dom.css.CSSPageRule rule)

### endPageRule

    protected abstract void endPageRule(org.w3c.dom.css.CSSPageRule rule)

### visitStyleDeclaration

    public abstract void visitStyleDeclaration(org.w3c.dom.css.CSSStyleDeclaration styleDeclaration)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.